/*###################################################################################################
#
#  Author:      Vikram Khatri (vikram@zinox.com)
#
# (C) COPYRIGHT International Business Machines Corp. 2006-2007
#
# All Rights Reserved
#
# This software ("Software") is owned by International Business Machines Corporation or one of its 
# subsidiaries ("IBM") and is copyrighted and licensed, not sold. This Software is not part of any 
# standard IBM product. You may use, copy, modify, and distribute this Software in any form without 
# payment to IBM, for the purpose of assisting you in the development of your applications. This 
# Software is provided to you on an "AS IS" basis, without warranty of any kind. IBM HEREBY EXPRESSLY 
# DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. Some jurisdictions do not allow 
# for the exclusion or limitation of implied warranties, so the above limitations or exclusions may not 
# apply to you. IBM shall not be liable for any damages you suffer as a result of using, copying, 
# modifying or distributing this Software, even if IBM has been advised of the possibility 
# of such damages. 
#
# US Government Users Restricted Rights - Use, duplication or disclosure restricted 
# by GSA ADP Schedule Contract with IBM Corp.
#
###################################################################################################*/
#ifndef SPLOGGER_H_
#define SPLOGGER_H_

#endif /*SPLOGGER_H_*/
#include <sys/timeb.h>
#define NAMESIZE 31    
#define DBSIZE 9    

typedef struct _handle Handle;

struct _handle 
{
	char spName[NAMESIZE+DBSIZE];
	struct timeb startTime; /* Pass starttime to know total elapsed time */
	struct timeb prevTime; /* Pass previous time to know elapsed time 
	                          since previous logger step */
};

#define BYTEHANDLESIZE (sizeof(Handle))
